Name: kdbg
Summary: A GUI for gdb, the GNU debugger, and KDE.
Version: 1.2.4
Release: 4
Epoch: 1
Source: http://download.sourceforge.net/kdbg/%{name}-%{version}.tar.gz
Patch: kdbg-1.2.1-lang.patch
Patch1: kdbg-1.2.4-kde3.patch
License: GPL
URL: http://members.telecom.at/~johsixt/kdbg.html
Group: Development/Debuggers
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: gdb
BuildPrereq: qt-devel >= 3.0.0, kdelibs-devel >= 3.0.0, XFree86-devel

%description
KDbg is a K Desktop Environment (KDE) GUI for gdb, the GNU debugger.
KDbg provides the programmer with an intuitive interface for setting
breakpoints, inspecting variables, and stepping through code. KDbg
requires X and KDE to be installed in order to run.

%prep
%setup -q
#%patch -p1 -b .lang
%patch1 -p1 -b .kde3

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh
export KDEDIR=%{_prefix}

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$RPM_OPT_FLAGS" LIBQTMT="-lqt-mt" \
./configure --prefix=$KDEDIR --with-qt-dir=/usr/lib/qt3

make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install-strip

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applnk/Development/*
%{_datadir}/apps/%{name}
%{_datadir}/icons/*/*/*/*
%lang(de) %{_docdir}/HTML/de/%{name}
%lang(ru) %{_docdir}/HTML/ru/%{name}
%{_docdir}/HTML/en/%{name}

%changelog
* Tue Apr 16 2002 Than Ngo <than@redhat.com> 1.2.4-4
- rebuild

* Tue Mar  7 2002 Than Ngo <than@redhat.com> 1.2.4-3
- fix to build in new enviroment

* Mon Jan 21 2002 Than Ngo <than@redhat.com> 1.2.4-1
- update to 1.2.4
- fix to build against kde3

* Fri Dec  7 2001 Than Ngo <than@redhat.com> 1.2.2-1
- update to 1.2.2, a stable release
- add missing po files bug #55957

* Wed Aug 14 2001 Than Ngo <than@redhat.com> 1.2.1-5
- add patch from leon@geon.donetsk.ua fixing broken russian desktop file (bug #51645)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.1-4
- Rebuild with new kdelibs, remove kdesupport dependency

* Sun Jun 24 2001 Than Ngo <than@redhat.com>
- add buildprereq

* Wed Jun 20 2001 Than Ngo <than@redhat.com>
- rebuild in new enviroment

* Sun Apr 29 2001 Than Ngo <than@redhat.com>
- update to 1.2.1
- use %lang

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- fixed dependency with kde-i18n

* Mon Dec 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.2.0
- bzip2 source

* Sun Nov 12 2000 Than Ngo <than@redhat.com>
- update to 1.1.7beta1
- build with kde2 final

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8
 
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (kde1 ist now installed as default)
- rebuilt against the kde1
 
* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- use %%configure
- FHS fxies
- clean up specfile
- fix to build against new libstdc++
 
* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir
 
* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- updated to 1.0.2

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- built for KDE 1.1.2 / RHL 6.1.

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







